---
title: Parallax loader payload extractor
description: >-
  Python script to extract payloads from parallax loader png files
template: tools.html
tags:
  - Tools
  - Parallax
authors:
  - Salim Bitam @soolidsnake
---

## Overview

This tool provides a Python module and command line tool that will do the thing and find the bad guy.


## Getting Started

### Docker

The recommended and easiest way to get going is to use Docker. From the directory this README is in,
you can build a local container.

```bash
docker build . -t parallax_loader_payload_extractor
```

Then we run the container with the **-v** flag to map a host directory to the docker container directory

```bash
docker run -ti --rm -v $(pwd)/data:/data parallax_loader_payload_extractor:latest --help
```

### Running it Locally

As mentioned above, Docker is the recommended approach to running this project, however you can also run this locally.
This project uses [Poetry](https://python-poetry.org/) to manage dependencies, testing, and metadata. If you have Poetry
 installed already, from this directory, you can simply run the following commands to run the tool. This will setup a
 virtual environment, install the dependencies, activate the virtual environment, and run the console script.

```bash
poetry lock
poetry install
poetry shell
parallax_loader_payload_extractor --help
```

## Usage

We can either specify a single sample with **-f** option or a directory of samples with **-d**. You can use the **-o** switch to set the output directory of the payloads.

```bash
docker run -ti --rm -v $(pwd)/data:/data parallax_loader_payload_extractor:latest -d /data -o /data
```

<img width="1015" alt="image" src="https://user-images.githubusercontent.com/7442091/192874897-2ccbd201-c77f-476e-82b7-0545236ec074.png">

You can collect the extracted payloads from the directory you set when running the extractor, the `data` directory in the root of the extractor in the above example.
